Update Unit Custom Data: Rentvine

The custom data fields must first be provisioned by the customer on the property object before they can be set by this API route. At this time, Propexo does not support a way to provision new custom fields or modify the schema for existing custom fields via an API. Please contact Propexo support if this is required for your business case. | Method | Interface | |---|---| | POST /api/manager/custom-fields/values/{customObjectTypeId}/{modelId} | Custom Fields |

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

unit_idstringRequired
The Propexo unique identifier for the unit

Request

This endpoint expects an object.
custom_datamap from strings to nullable any or objectsRequired

A mapping of the fields you want to update and the associated values. The key for each field is the key from the normalized custom data object, not the label of the custom field. Each entry will look something like: ``` “eyJjYXRlZ29yeUlkIjoiMSIsImZpZWxkSWQiOiIxIiwidmVyc2lvbiI6MX0=”: { “value”: “Yes” }

Response

Successful response
metaobject
resultobject

Errors